> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Category Tree


> Returns JSON by default. Response can be gzipped if Accept header is set to "application/gzip".



## OpenAPI

````yaml /openapi/scx/seller.json get /v1/seller/meta/{channel}/categories
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/meta/{channel}/categories:
    get:
      tags:
        - Meta
      summary: |
        Category Tree
      description: >-
        Returns JSON by default. Response can be gzipped if Accept header is set
        to "application/gzip".
      operationId: GetChannelCategories
      parameters:
        - in: path
          required: true
          name: channel
          description: Channel name whose category tree should be returned.
          schema:
            type: string
        - in: header
          name: Accept
          description: >-
            Preferred response encoding. Use `application/gzip` to receive the
            response gzip-compressed.
          schema:
            type: string
            enum:
              - application/json
              - application/gzip
            default: application/json
      responses:
        '200':
          $ref: '#/components/responses/ChannelCategory'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  responses:
    ChannelCategory:
      description: Channel category tree (JSON, optionally gzip-compressed)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CategoryTree'
        application/gzip:
          schema:
            type: string
            format: binary
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    CategoryTree:
      type: array
      items:
        $ref: '#/components/schemas/Category'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Category:
      type: object
      required:
        - categoryId
        - displayName
        - isLeaf
      properties:
        categoryId:
          description: Channel category Id.
          type: string
          minLength: 1
          maxLength: 512
          example: '4711'
        displayName:
          description: Category display name.
          type: string
          example: Beer
          minLength: 1
          maxLength: 250
        listingAllowed:
          description: Mark a categoryId as leaf. Only leaf categories can list offers.
          type: boolean
          default: true
        parentCategoryId:
          description: >-
            Parent category Id. If category is 0 the current category is
            considered as root category.
          type: string
          minLength: 1
          maxLength: 512
          example: '2343'
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````